Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.ui.dnd
Interface DropTarget

    public interface DropTarget

The interface for objects into which draggables can be dropped.

Author:
  Maryanovsky Alexander

Method Summary
`Widget` | `getDropWidget()` Returns the widget into which the draggable is dropped.
`void` | `onDragCancel(Draggable draggable)` Invoked when a drag gesture is canceled.
`void` | `onDragInto(Draggable draggable, PointView location)` Invoked when a `Draggable` is dragged over the drop widget at the specified coordinates (in the coordinate system of the drop widget).
`void` | `onDragOut(Draggable draggable)` Invoked when a `Draggable` that has been previously dragged into this drop target, has now been dragged out of it.
`void` | `onDragStart(Draggable draggable)` Invoked when a drag gesture starts with this object one of its drop targets.
`void` | `receive(Draggable draggable, PointView location)` Drops the specified `Draggable` into this `DropTarget` at the specified location.

Method Detail

### getDropWidget

    Widget getDropWidget()

  Returns the widget into which the draggable is dropped.

### onDragStart

    void onDragStart(Draggable draggable)

  Invoked when a drag gesture starts with this object one of its drop targets.

### onDragInto

    void onDragInto(Draggable draggable,
                    PointView location)

  Invoked when a `Draggable` is dragged over the drop widget at the specified coordinates (in the coordinate system of the drop widget). Note that this doesn't mean that it has been dropped.

### onDragOut

    void onDragOut(Draggable draggable)

  Invoked when a `Draggable` that has been previously dragged into this drop target, has now been dragged out of it.

### onDragCancel

    void onDragCancel(Draggable draggable)

  Invoked when a drag gesture is canceled.

### receive

    void receive(Draggable draggable,
                 PointView location)

  Drops the specified `Draggable` into this `DropTarget` at the specified location.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD